# Uses of Interface
org.codehaus.janino.Java.FieldDeclarationOrInitializer

Packages that use Java.FieldDeclarationOrInitializer
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.FieldDeclarationOrInitializer in org.codehaus.janino

Classes in org.codehaus.janino that implement Java.FieldDeclarationOrInitializer
Modifier and Type
Class
Description
`static final class`
`Java.FieldDeclaration`
This class is derived from "Statement", because it provides for the initialization of the field.
`static final class`
`Java.Initializer`
Representation of an "instance initializer" (JLS7 8.6) or "static initializer" (JLS7 8.7).
Fields in org.codehaus.janino with type parameters of type Java.FieldDeclarationOrInitializer
Modifier and Type
Field
Description
`final List<Java.FieldDeclarationOrInitializer>`
Java.AbstractClassDeclaration.`fieldDeclarationsAndInitializers`
List of `Java.TypeBodyDeclaration`s of this class: Field declarations (both static and non-static), (static and non-static) initializers (a.k.a.
Methods in org.codehaus.janino that return types with arguments of type Java.FieldDeclarationOrInitializer
Modifier and Type
Method
Description
`List<Java.FieldDeclarationOrInitializer>`
Java.AbstractClassDeclaration.`getVariableDeclaratorsAndInitializers()`
`List<Java.FieldDeclarationOrInitializer>`
Java.ClassDeclaration.`getVariableDeclaratorsAndInitializers()`
Returns the initializers for class variables (JLS7 8.3.2.1) and instance variables (JLS7 8.3.2.2), and the instance initializers (JLS7 8.6) and static initializers (JLS7 8.7) in the order as they appear in the type declaration.
Methods in org.codehaus.janino with parameters of type Java.FieldDeclarationOrInitializer
Modifier and Type
Method
Description
`void`
Java.AbstractClassDeclaration.`addFieldDeclarationOrInitializer(Java.FieldDeclarationOrInitializer fdoi)`
Adds one field declaration or initializer to this class.

## Uses of Java.FieldDeclarationOrInitializer in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.FieldDeclarationOrInitializer
Modifier and Type
Method
Description
`Java.FieldDeclarationOrInitializer`
DeepCopier.`copyFieldDeclarationOrInitializer(Java.FieldDeclarationOrInitializer subject)`
Methods in org.codehaus.janino.util with parameters of type Java.FieldDeclarationOrInitializer
Modifier and Type
Method
Description
`Java.FieldDeclarationOrInitializer`
DeepCopier.`copyFieldDeclarationOrInitializer(Java.FieldDeclarationOrInitializer subject)`